Alien::Build::Plugin::PkgConfig::LibPkgConf(3)

NAME
Alien::Build::Plugin::PkgConfig::LibPkgConf - Probe system and determine library or tool properties using PkgConfig::LibPkgConf

VERSION
version 1.67

SYNOPSIS
 use alienfile;
 plugin 'PkgConfig::LibPkgConf' => (
   pkg_name => 'libfoo',
 );

DESCRIPTION
Note: in most case you will want to use Alien::Build::Plugin::Download::Negotiate instead. It picks the appropriate fetch plugin based on your platform and environment. In some cases you may need to use this plugin directly instead.

This plugin provides Probe and Gather steps for pkg-config based packages. It uses PkgConfig::LibPkgConf to accomplish this task.

This plugin is part of the Alien::Build core For Now, but may be removed in a future date. While It Seemed Like A Good Idea at the time, it may not be appropriate to keep it in core. If it is spun off it will get its own distribution some time in the future.

PROPERTIES

  pkg_name
The package name. If this is a list reference then .pc files with all those package names must be present.

  atleast_version
The minimum required version that is acceptable version as provided by the system.

  exact_version
The exact required version that is acceptable version as provided by the system.

  max_version
The max required version that is acceptable version as provided by the system.

  minimum_version
Alias for "atleast_version" for backward compatibility.

METHODS

  available
 my $bool = Alien::Build::Plugin::PkgConfig::LibPkgConf->available;

Returns true if the necessary prereqs for this plugin are already installed.

SEE ALSO
Alien::Build::Plugin::PkgConfig::Negotiate, Alien::Build, alienfile, Alien::Build::MM, Alien

AUTHOR
Author: Graham Ollis <plicease@cpan.org>

Contributors:

Diab Jerius (DJERIUS)

Roy Storey

Ilya Pavlov

David Mertens (run4flat)

Mark Nunberg (mordy, mnunberg)

Christian Walde (Mithaldu)

Brian Wightman (MidLifeXis)

Zaki Mughal (zmughal)

mohawk (mohawk2, ETJ)

Vikas N Kumar (vikasnkumar)

Flavio Poletti (polettix)

Salvador Fandiño (salva)

Gianni Ceccarelli (dakkar)

Pavel Shaydo (zwon, trinitum)

Kang-min Liu (劉康民, gugod)

Nicholas Shipp (nshp)

Juan Julián Merelo Guervós (JJ)

Joel Berger (JBERGER)

Petr Pisar (ppisar)

Lance Wicks (LANCEW)

Ahmad Fatoum (a3f, ATHREEF)

José Joaquín Atria (JJATRIA)

Duke Leto (LETO)

Shoichi Kaji (SKAJI)

Shawn Laffan (SLAFFAN)

Paul Evans (leonerd, PEVANS)

COPYRIGHT AND LICENSE
This software is copyright (c) 2011-2019 by Graham Ollis.

This is free software; you can redistribute it and/or modify it under the same terms as the Perl 5 programming language system itself.